Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.clustering
Class Member

    java.lang.Object
      org.apache.axis2.clustering.Member

    public class Member

extends Object

Represents a member in the cluster. This is used with static membership

Constructor Summary
`Member(String hostName, int port)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getDomain()`
`String` | `getHostName()`
`int` | `getHttpPort()`
`int` | `getHttpsPort()`
`int` | `getPort()`
`Properties` | `getProperties()`
`int` | `hashCode()`
`boolean` | `isActive()`
`boolean` | `isSuspended()` Check whether this member is suspended
`void` | `setActive(boolean active)`
`void` | `setDomain(String domain)`
`void` | `setHttpPort(int httpPort)`
`void` | `setHttpsPort(int httpsPort)`
`void` | `setProperties(Properties properties)`
`void` | `suspend(long suspensionDurationMillis)` Temporarilly suspend this member
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Member

    public Member(String hostName,
                  int port)

Method Detail

### suspend

    public void suspend(long suspensionDurationMillis)

  Temporarilly suspend this member

  Parameters:
    `suspensionDurationMillis` - The time duration in millis in which this member should be suspended

### isSuspended

    public boolean isSuspended()

  Check whether this member is suspended

  Returns:
    true if this member is still suspended, false oterwise

### getHostName

    public String getHostName()

### getPort

    public int getPort()

### getHttpsPort

    public int getHttpsPort()

### setHttpsPort

    public void setHttpsPort(int httpsPort)

### getHttpPort

    public int getHttpPort()

### setHttpPort

    public void setHttpPort(int httpPort)

### isActive

    public boolean isActive()

### setActive

    public void setActive(boolean active)

### getDomain

    public String getDomain()

### setDomain

    public void setDomain(String domain)

### setProperties

    public void setProperties(Properties properties)

### getProperties

    public Properties getProperties()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.